# $Revision: 1.20 $, $Date: 2008/07/27 22:49:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	Mix
Summary:	Audio::Mix Perl module - Wav/CoolEdit Fader/Cross-Fader
Summary(pl.UTF-8):	Moduł Perla Audio::Mix - dodający wyciszenia lub przejścia do próbek WAV
Name:		perl-Audio-Mix
Version:	0.01
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	795c50919e094e3472d53993aa39fe50
Patch0:		%{name}-cue.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Audio-Tools
BuildRequires:	perl-Audio-Wav
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional, fake
%define		_noautoreq	'perl(Audio::CoolEdit)' 'perl(join)'

%description
The purpose of this module is to provide a way to apply fades to
uncompressed Microsoft .WAV files. Not being a c programmer, the fades
are done completely in Perl, making a minutes fade on a stereo 44.1
Khz, 16bit file take a considerable amount of time. The primary reason
I wrote this module was because I needed a programmatic way to mix
songs together for subsequent burning to a CDR.

%description -l pl.UTF-8
Celem tego modułu jest udostępnienie sposobu na dodawanie wyciszeń lub
płynnych przejść do nieskompresowanych plików .WAV. Efekty te są
wykonywane całkowicie w Perlu, więc dodawanie wyciszenia do 16-bitowej
próbki stereo 44.1kHz może trochę potrwać. Głównym powodem stworzenia
tego modułu była programowego miksowania utworów w celu nagrywania na
CDR.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Audio/Mix.pm
%{perl_vendorlib}/Audio/Mix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-Mix.spec,v $
Revision 1.20  2008/07/27 22:49:42  arekm
- release 5

Revision 1.19  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.17  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.16  2004/11/03 21:01:01  paladine
- formatting

Revision 1.15  2004/10/28 11:08:14  paladine
- "WAV" unification

Revision 1.14  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.12  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.11  2004/03/09 20:33:42  adamg
- new style bconds

Revision 1.10  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:22  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:35:50  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:25  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/26 21:53:45  ankry
- _noautoreq for fake dependency: perl(join)
- release 2, STBR

Revision 1.2  2002/08/16 16:37:56  qboosh
- fixed _noautoreq

Revision 1.1  2002/08/15 17:54:13  qboosh
- new
- added cue patch - test found bug: multiplying offset by sample size two times

